nchnls_hw
Prev | Orchestra Opcodes and Operators | Next

## nchnls_hw

nchnls_hw — Returns the number of audio channels in the underlying hardware.

## Description

Returns the maximum number of audio channels in the underlying hardware. This does not necessarily correspond to the number of channels used by Csound (set by nchnls and nchnls_i).

## Syntax

    idacc,iadcc nchnls_hw

## Initialization

On init-pass idacc will contain the number of channels in the output device, and iadcc, the number of input channels. These will correspond to the currently selected/in-use hardware devices.

## Credits

Author: Victor Lazzarini
2016

In version 6.07

Prev | Up | Next
nchnls | Home | nchnls_i